import os


def test_devfreq_ddr():
    "Ensure ddr devfreq driver is present"
    assert(os.path.exists('/sys/class/devfreq/3d400000.memory-controller'))


def test_devfreq_freq():
    assert("25000000" in open("/sys/class/devfreq/3d400000.memory-controller/min_freq").read())
    assert("800000000" in open("/sys/class/devfreq/3d400000.memory-controller/max_freq").read())
